VirtualBox

Ticket #5386 (closed defect: invalid)

Opened 4 years ago

Last modified 4 years ago

VB 3.0.10 install on Fedora 11 fails libxml2 dependency (later version installed)

Reported by: bruisah Owned by:
Priority: major Component: installer
Version: VirtualBox 3.0.10 Keywords: libxml2
Cc: Guest type: other
Host type: Linux

Description

Tried to install VirtualBox-3.0.10_54097_fedora11-1.i586.rpm, but failed dependencies:

error: Failed dependencies:

libxml2.so.2(LIBXML2_2.4.30) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.5.4) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.5.8) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.6.0) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.6.14) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.6.17) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.6.23) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxml2.so.2(LIBXML2_2.6.8) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxslt.so.1(LIBXML2_1.0.11) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586 libxslt.so.1(LIBXML2_1.0.24) is needed by VirtualBox-3.0.10_54097_fedora11-1.i586

rpm -q libxml2 libxslt

libxml2-2.7.3-2.fc11.i586

uname -r

2.6.29.6-217.2.3.fc11.i686.PAE

cat /etc/fedora-release

Fedora release 11 (Leonidas)

Change History

comment:1 follow-up: ↓ 2 Changed 4 years ago by frank

Our build jail contains the following packages:

$ rpm -qa libxml2* libxslt*
libxml2-python-2.7.6-1.fc11.i586
libxslt-1.1.26-1.fc11.i586
libxslt-devel-1.1.26-1.fc11.i586
libxml2-devel-2.7.6-1.fc11.i586
libxml2-2.7.6-1.fc11.i586
$ cat /etc/fedora-release
Fedora release 11 (Leonidas)

comment:2 in reply to: ↑ 1 ; follow-up: ↓ 3 Changed 4 years ago by bruisah

Replying to frank:

Our build jail contains the following packages:

[...]

Turns out that 'yum update' was broken due to a corporate firewall change! Now updating system (1GB download!). I suspect that VB will install after libxml2, et al, are updated.

I'll post the results as soon as.

Apologies for being a bit daft...

Regards,

Bruisah

comment:3 in reply to: ↑ 2 Changed 4 years ago by bruisah

Replying to bruisah: [...]

I'll post the results as soon as.

[...]

Yup. Yum proxy sorted, yum update completed. VB install works fine...

Regards,

Bruisah.

comment:4 Changed 4 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to invalid
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use